/* $Id: PasteAction.java 125 2011-03-09 09:49:51Z ohura $ */
package sml_editor.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import sml_editor.swingui.EditorTextPane;


public class PasteAction implements ActionListener{
	private EditorTextPane textPane;
	public PasteAction() {
	}
	public PasteAction(EditorTextPane textPane){
		this.textPane = textPane;
	}
	public void setEditorTextPane(EditorTextPane textPane){
		this.textPane = textPane;
	}
	public void actionPerformed(ActionEvent arg0) {
		this.textPane.getGSHTMLEditorTextPane().paste(true);
	}
}